<?php

namespace App\Http\Controllers;
use App\Bonificacion;

use Illuminate\Http\Request;

class BonificacionController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth');
    }
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //
        $info=Bonificacion::all();
        return view('bonificacion.lista',compact('info'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
        return view('bonificacion.nuevo');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
        $where = [
            'nombre' => $request->nombre,
            'cantidad_base' => $request->cantidad_base,
            'bonificacion' => $request->bonificacion,
        ];
        $verificarRepetido=Bonificacion::where($where)->first();
        
        if($verificarRepetido){
            $arrResponse = [
                'message' => 'La Bonificación ya existe'
            ];
            return redirect()->route('bonificacion.index')->with($arrResponse);
            dd();
        }
        $bonificacion = new Bonificacion();
        $bonificacion->create($request->all());
        $arrResponse = [
            'message' => 'Bonificación guardada correctamente'
        ];
        return redirect()->route('bonificacion.index')->with($arrResponse);
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit(Bonificacion $object)
    {
        //
        return view('bonificacion.editar',compact('object'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Bonificacion $object)
    {
        //
        $object->nombre = $request['nombre'];
        $object->cantidad_base = $request['cantidad_base'];
        $object->bonificacion = $request['bonificacion'];
        $object->update();
        $arrResponse = [
            'message' => 'Bonificación actualizada correctamente'
        ];
        return redirect()->route('bonificacion.index')->with($arrResponse);
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
        Bonificacion::destroy($id);
        $arrResponse = [
            'message' => 'Bonificación eliminada correctamente'
        ];
        return redirect()->route('bonificacion.index')->with($arrResponse);
    }
}
