<?php

namespace App\Http\Controllers;
use App\Especialidad;

use Illuminate\Http\Request;

class EspecialidadController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth');
    }
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //
        $info=Especialidad::all();
        return view('especialidad.lista',compact('info'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
        return view('especialidad.nuevo');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
        $where = [
            'descripcion_especialidad' => $request->descripcion_especialidad
        ];
        $verificarRepetido=Especialidad::where($where)->first();
        if($verificarRepetido){
            $arrResponse = [
                'message' => 'La Especialidad ya existe'
            ];
            return redirect()->route('especialidad.index')->with($arrResponse);
            dd();
        }
        $bonificacion = new Especialidad();
        $bonificacion->create($request->all());
        $arrResponse = [
            'message' => 'Especialidad guardada correctamente'
        ];
        return redirect()->route('especialidad.index')->with($arrResponse);
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit(Especialidad $object)
    {
        //
        return view('especialidad.editar',compact('object'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Especialidad $object)
    {
        //
        $object->id_user = $request['id_user'];
        $object->descripcion_especialidad = $request['descripcion_especialidad'];
        $object->update();
        $arrResponse = [
            'message' => 'Especialidad actualizada correctamente'
        ];
        return redirect()->route('especialidad.index')->with($arrResponse);
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
        Especialidad::destroy($id);
        $arrResponse = [
            'message' => 'Especialidad eliminada correctamente'
        ];
        return redirect()->route('especialidad.index')->with($arrResponse);
    }
}
