<?php

namespace App\Http\Controllers;
use Illuminate\Support\Facades\Auth;
use App\Linea;
use App\Apm;
use Illuminate\Support\Facades\DB;

use Illuminate\Http\Request;

class GerenteLineaController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth');
    }
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //Linea de GL
        $idGL=Auth::id();
        $glInfo=Apm::where('id_user',$idGL)->first();
        $lineaGL=$glInfo->id_linea??0;
        //Ubicaciones
        $socios=DB::table('crm_visita')
                            ->join('crm_socio', 'crm_visita.id_socio', '=', 'crm_socio.id')
                            ->first();
        //
        
        $apms=Apm::where('id_linea',$lineaGL)
                ->where('id_user','!=',$idGL)
                ->with('linea')
                ->with('gira')
                ->with('status')
                ->get();   
        return view('dashboard.gerente_linea',compact('apms','socios'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
        return view('lineas.nuevo');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
        $linea = new Linea();
        $linea->descripcion_linea = $request->descripcion;
        $linea->id_user = 1;
        $linea->save();
        $arrResponse = [
            'message' => 'Línea guardado correctamente'
        ];
        return redirect()->route('linea.index')->with($arrResponse);
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
