<?php

namespace App\Http\Controllers;
use Illuminate\Support\Facades\Auth;
use App\Linea;
use App\Apm;
use Illuminate\Support\Facades\DB;

use Illuminate\Http\Request;

class GerenteMercadeoController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth');
    }
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //Linea de GL
        $idGL=Auth::id();
        $glInfo=Apm::where('id_user',$idGL)->first();
        //Ubicaciones
        $socios=DB::table('crm_visita')
                            ->where('crm_visita.status',1)
                            ->join('crm_socio', 'crm_visita.id_socio', '=', 'crm_socio.id')
                            ->first();
        //
        $apms=Apm::where('id_user','!=',$idGL)
                ->with('linea')
                ->with('gira')
                ->with('status')
                ->get();
                
        return view('dashboard.gerente_mercadeo',compact('apms','socios'));
    }
    public function reporte_planificacion()
    {
        $visitas_planificadas=DB::table('crm_distribucion_fichero')
                            ->where('crm_distribucion_fichero.created_at','>','2023-08-12')
                            ->join('users', 'crm_distribucion_fichero.id_apm_user', '=', 'users.id')
                            ->groupBy('id_apm_user')
                            ->select('id_apm_user','name', DB::raw('count(crm_distribucion_fichero.id) as total_visita'))
                            ->get();
        $visitas_realizadas=DB::table('crm_visita')
                            ->where('crm_visita.created_at','>','2023-08-12')
                            ->groupBy('id_apm')
                            ->select('id_apm', DB::raw('count(crm_visita.id) as total_visita'))
                            ->get();
        return view('dashboard.reporte_planificacion',compact('visitas_planificadas','visitas_realizadas'));
    }
    public function reporte_visitas()
    {
        $visitas_realizadas=DB::table('crm_visita')
                            ->where('crm_visita.created_at','>','2023-08-12')
                            ->join('users', 'crm_visita.id_apm', '=', 'users.id')
                            ->join('crm_socio', 'crm_visita.id_socio', '=', 'crm_socio.id')
                            ->select('crm_visita.id','name','crm_visita.created_at as fecha_visita','comentario','primer_nombre_socio','primer_apellido_socio')
                            ->get();
        return view('dashboard.reporte_visitas',compact('visitas_realizadas'));
    }
    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
        return view('lineas.nuevo');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
        $linea = new Linea();
        $linea->descripcion_linea = $request->descripcion;
        $linea->id_user = 1;
        $linea->save();
        $arrResponse = [
            'message' => 'Línea guardado correctamente'
        ];
        return redirect()->route('linea.index')->with($arrResponse);
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
