<?php

namespace App\Http\Controllers;
use Illuminate\Support\Facades\Auth;
use App\Apm;
use App\CodigoPostal;
use App\Especialidad;
use App\Linea;
use App\TipoSocio;
use App\Clasificacion;
use App\Socio;
use App\SocioBorrador;
use App\Pais;
use App\LineaSocio;
use App\LineaSocioBorrador;
use App\Actividad;
use App\ListaPrecios;
use Illuminate\Support\Facades\DB;

use Illuminate\Http\Request;

class SociosController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth');
    }
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //
        $socios=Socio::with('lineas')
                ->with('especialidad')
                ->with('tipoSocio')
                ->with('clasificacion')
                ->with('codigo')
                ->get();
        return view('socios.lista',compact('socios'));
    }
    public function sociosInactivos()
    {
        //
        $socios=Socio::with('lineas')
                ->with('especialidad')
                ->with('tipoSocio')
                ->with('clasificacion')
                ->get();

        return view('socios.lista_inactiva',compact('socios'));
    }
    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        
        /*
        $doctores[]=array('REMBLE S.A','3a. Calle 3-08 zona 1 Huehuetenango ','36472242');
        $doctores[]=array('IDEAL. S. A','Sector 6 cambote zona 11 Huehuetenango ','50029872');
        $doctores[]=array('CENTROAMERICANA','Sector 2 CAMBOTE ZONA 11 Huehuetenango ','40307844');
        $doctores[]=array('FARMADE S. A','4a. Calle 12-98 zona 1 Huehuetenango ','31511173');
        $doctores[]=array('ROGIL','4a. Calle y 5a. Avenida Ezquina zona 1 Huehuetenango ','42977657');
        $doctores[]=array('DROGUERÍA LA ESTRELLA S. A','Calzada Kaibil balam zona 5 Huehuetenango ','55360677');
        $doctores[]=array('DROGUERÍA CRISVI','2a. Avenida 2-25 zona 1 Huehuetenango ','31920247');
        $doctores[]=array('F. SAN RAFAEL.','Calzada Kaibil balam zona 5 Huehuetenango ','48700369');
        $doctores[]=array('F. SAN TERESITA.','8a. Calle A 4-31 zona 4 Huehuetenango ','45344891');
        $doctores[]=array('DIOS DE PACTOS','Cuilco Huehuetenango ','53046715');


        
                foreach($doctores as $doc){
                    $socio = new Socio();
                    $socio->nit_socio = '';
                    $socio->dpi = '';
                    $socio->telefono_oficina_socio = '';
                    $socio->telefono_movil_socio = '';
                    $socio->numero_colegiado_socio = 0;
                    $socio->primer_nombre_socio = $doc[0];
                    $socio->segundo_nombre_socio = '';
                    $socio->primer_apellido_socio = '';
                    $socio->segundo_apellido_socio = '';
                    $socio->nombre_comercial_socio = '';
                    $socio->id_especialidad = 1;
                    $socio->id_codigo_postal = 10;
                    $socio->id_gira = 10;
                    $socio->cod_diamante = '';
                    $socio->cod_elvis = '';
                    $socio->id_tipo_socio = 1;
                    $socio->direccion = '';
                    $socio->fecha_cumpleanos = '2023-05-31';
                    $socio->hobby = '';
                    $socio->id_lista = 1;
                    $socio->id_clasificacion = 1;
                    $socio->id_user = Auth::id();
                    $socio->status=0;
                    $socio->save();
        
                    $lineaSocio = new LineaSocio();
                    $lineaSocio->id_socio = $socio->id;
                    $lineaSocio->id_user = Auth::id();
                    $lineaSocio->id_linea = 18;
                    $lineaSocio->save();
                }*/
        $lineas=Linea::all();
        $pais=Pais::all();
        $especialidades=Especialidad::all();
        $tipoSocio=TipoSocio::all();
        $listas=ListaPrecios::all();
        $clasificaciones=Clasificacion::all();
        return view('socios.nuevo',compact('lineas','especialidades','tipoSocio','clasificaciones','listas','pais'));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
        $orgDate = $request->fecha_cumpleanos;
        $newDate = date("Y-m-d", strtotime($orgDate));

        $socio = new Socio();
        $socio->nit_socio = $request->nit;
        $socio->dpi = $request->dpi;
        $socio->telefono_oficina_socio = $request->telefono;
        $socio->telefono_movil_socio = $request->celular;
        $socio->numero_colegiado_socio = $request->colegiado;
        $socio->primer_nombre_socio = $request->primer_nombre;
        $socio->segundo_nombre_socio = $request->segundo_nombre;
        $socio->primer_apellido_socio = $request->primer_apellido;
        $socio->segundo_apellido_socio = $request->segundo_apellido;
        $socio->nombre_comercial_socio = $request->nombre_comercial;
        $socio->id_especialidad = $request->especialidad;
        $socio->id_codigo_postal = $request->id_codigo_postal;
        $socio->id_gira = $request->id_gira;
        $socio->cod_diamante = $request->diamante;
        $socio->cod_elvis = $request->elvis;
        $socio->id_tipo_socio = $request->tipo_socio;
        $socio->direccion = $request->direccion;
        $socio->fecha_cumpleanos = $request->$newDate;
        $socio->hobby = $request->hobby;
        $socio->id_lista = $request->id_lista;
        $socio->id_clasificacion = $request->clasificación;
        $socio->id_user = Auth::id();
        if(Auth::user()->id_role==2){
            $socio->status=1;
        }else{
            $socio->status=0;
        }
        $socio->save();

        if($socio->id){

            foreach($request->lineas as $linea){
                $lineaSocio = new LineaSocio();
                $lineaSocio->id_socio = $socio->id;
                $lineaSocio->id_user = Auth::id();
                $lineaSocio->id_linea = $linea;
                $lineaSocio->save();
            }
            $arrResponse = [
                'message' => 'Socio guardado correctamente'
            ];
            if(Auth::user()->id_role==2){
                return redirect()->route('socios.crear')->with($arrResponse);
            }
            return redirect()->route('socios.index')->with($arrResponse);

        }else{
            $arrResponse = [
                'message' => 'Error al guardar al socio'
            ];
            if(Auth::user()->id_role==2){
                return redirect()->route('socios.crear')->with($arrResponse);
            }
            return redirect()->route('socios.index')->with($arrResponse);
        }
        $arrResponse = [
            'message' => 'Error al guardar al socio'
        ];
        if(Auth::user()->id_role==2){
            return redirect()->route('socios.crear')->with($arrResponse);
        }
        return redirect()->route('socios.index')->with($arrResponse);
        dd();
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
        $socio=Socio::where('id',$id)->with('codigo')->with('lineas')->first();
        //dd($socio);
        $linea_socio=LineaSocio::where('id_socio',$id)->get();
        //dd($linea_socio);
        $lineas=Linea::all();
        $pais=Pais::all();
        $especialidades=Especialidad::all();
        $tipoSocio=TipoSocio::all();
        $listas=ListaPrecios::all();
        $clasificaciones=Clasificacion::all();
        return view('socios.editar',compact('lineas','especialidades','tipoSocio','clasificaciones','listas','pais','socio','linea_socio'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Socio $socio)
    {
        //
        $orgDate = $request->fecha_cumpleanos;
        $newDate = date("Y-m-d", strtotime($orgDate));
        $socio->nit_socio = $request->nit;
        $socio->dpi = $request->dpi;
        $socio->telefono_oficina_socio = $request->telefono;
        $socio->telefono_movil_socio = $request->celular;
        $socio->numero_colegiado_socio = $request->colegiado;
        $socio->primer_nombre_socio = $request->primer_nombre;
        $socio->segundo_nombre_socio = $request->segundo_nombre;
        $socio->primer_apellido_socio = $request->primer_apellido;
        $socio->segundo_apellido_socio = $request->segundo_apellido;
        $socio->nombre_comercial_socio = $request->nombre_comercial;
        $socio->id_especialidad = $request->especialidad;
        if($request->id_codigo_postal){
            $socio->id_codigo_postal = $request->id_codigo_postal;
            $socio->id_gira = $request->id_gira;
        }
        
        $socio->cod_diamante = $request->diamante;
        $socio->status = $request->estado;
        $socio->cod_elvis = $request->elvis;
        $socio->id_tipo_socio = $request->tipo_socio;
        $socio->direccion = $request->direccion;
        $socio->fecha_cumpleanos = $newDate;
        $socio->hobby = $request->hobby;
        $socio->id_lista = $request->id_lista;
        $socio->id_clasificacion = $request->clasificación;
        $socio->id_user = Auth::id();
        if(Auth::user()->id_role==2){
            $socio->status=1;
        }else{
            $socio->status=0;
        }
        $socio->update();

        LineaSocio::where('id_socio', $socio->id)->delete();

        if (!isset($request->lineas)) {
            # code...
        } else {
            foreach($request->lineas as $linea){
                $lineaSocio = new LineaSocio();
                $lineaSocio->id_socio = $socio->id;
                $lineaSocio->id_user = Auth::id();
                $lineaSocio->id_linea = $linea;
                $lineaSocio->save();
            }
        };


        $arrResponse = [
            'message' => 'Socio actualizado correctamente'
        ];
        if(Auth::user()->id_role==2){
            return redirect()->route('socios.crear')->with($arrResponse);
        }
        return redirect()->route('socios.index')->with($arrResponse);

        dd();
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy(Socio $socio)
    {
        //
        LineaSocio::destroy($socio->id_socio);
        Socio::destroy($socio->id);
        $arrResponse = [
            'message' => 'Socio eliminado correctamente'
        ];
        return redirect()->route('socios.index')->with($arrResponse);
    }

    public function codigosArea(){

        $codigoPostal['data']=CodigoPostal::with('pais')
                ->with('departamento')
                ->with('municipio')
                ->with('region')
                ->with('gira')
                ->with('zona')
                ->get();

        return response($codigoPostal);
    }
    public function listadoSociosA()
    {
        dd();
    }
    public function listadoSocios()
    {
        $idAPM=Auth::id();
        $apm=Apm::where('id_user',$idAPM)->first();
        $idLinea=$apm->id_linea;
        $socios=Socio::where('id_gira',$apm->id_gira)->with('planificador')
                                                            ->get();
       
        return view('socios.lista_socios',compact('socios'));
    }
    public function actividades()
    {
        return view('socios.nueva_actividad');
    }
    public function guardarActividades(Request $request)
    {
        
        $orgDate = $request->fecha_actividad;
        $newDate = date("Y-m-d", strtotime($orgDate));

        $idAPM=Auth::id();
        $actividad = new Actividad();
        $actividad->id_apm = $idAPM;
        $actividad->nombre = $request->nombre_actividad;
        $actividad->tipo = $request->tipo;
        $actividad->horas = $request->horas;
        $actividad->comentarios = $request->comentarios;
        $actividad->fecha_actividad = $newDate;
        $actividad->save();
        $arrResponse = [
            'message' => 'Actividad guardada'
        ];
        return redirect()->route('apm.actividades')->with($arrResponse);
    }
    public function createSocioApm()
    {
        //
        
        $lineas=Linea::all();
        $pais=Pais::all();
        $especialidades=Especialidad::all();
        $tipoSocio=TipoSocio::all();
        $listas=ListaPrecios::all();
        $clasificaciones=Clasificacion::all();
        $departamentos = DB::table('crm_departamentos_db')->get();
        $municipios = DB::table('crm_municipios_db')->get();
        

        return view('ficha_socio.nuevo_socio',compact('departamentos','municipios','lineas','especialidades','tipoSocio','clasificaciones','listas','pais'));
    }

    public function SearchMunicipioSocio(Request $request) 
    {
        $municipios = DB::table('crm_municipios_db')->where('departamento_id',$request->id)->get();
        return response()->json($municipios);
    }

    public function storeSocioApm(Request $request)
    {
        //

        $orgDate = $request->fecha_cumpleanos;
        $newDate = date("Y-m-d", strtotime($orgDate));

        $socio = new Socio();
        $socio->nit_socio = $request->nit;
        $socio->dpi = $request->dpi;
        $socio->telefono_oficina_socio = $request->telefono;
        $socio->telefono_movil_socio = $request->celular;
        $socio->numero_colegiado_socio = $request->colegiado;
        $socio->primer_nombre_socio = $request->primer_nombre;
        $socio->segundo_nombre_socio = $request->segundo_nombre;
        $socio->primer_apellido_socio = $request->primer_apellido;
        $socio->segundo_apellido_socio = $request->segundo_apellido;
        $socio->nombre_comercial_socio = $request->nombre_comercial;
        $socio->id_especialidad = $request->especialidad;
        $socio->id_codigo_postal = $request->id_codigo_postal;
        $socio->id_gira = $request->id_gira;
        $socio->cod_diamante = $request->diamante;
        $socio->cod_elvis = $request->elvis;
        $socio->id_tipo_socio = $request->tipo_socio;
        $socio->direccion = $request->direccion;
        $socio->fecha_cumpleanos = $request->$newDate;
        $socio->hobby = $request->hobby;
        $socio->id_lista = $request->id_lista;
        $socio->id_clasificacion = $request->clasificación;
        $socio->id_user = Auth::id();
        $socio->status=1;
        
        $socio->save();
        
        if($socio->id){

            if (!isset($request->lineas)) {
                # code...
            } else {
                foreach($request->lineas as $linea){
                    $lineaSocio = new LineaSocio();
                    $lineaSocio->id_socio = $socio->id;
                    $lineaSocio->id_user = Auth::id();
                    $lineaSocio->id_linea = $linea;
                    $lineaSocio->save();
                }
            };


            $arrResponse = [
                'message' => 'Socio guardado correctamente'
            ];
            return redirect()->route('socios.crear_por_apm')->with($arrResponse);

        }else{
            $arrResponse = [
                'message' => 'Error al guardar al socio'
            ];
            return redirect()->route('socios.crear_por_apm')->with($arrResponse);
        }
        $arrResponse = [
            'message' => 'Error al guardar al socio'
        ];
        
        return redirect()->route('socios.crear_por_apm')->with($arrResponse);
        dd();
    }
    public function editAprobacion($id)
    {
        //
        $socio=Socio::where('id',$id)->with('codigo')->with('lineas')->first();
        //dd($socio);
        $linea_socio=LineaSocio::where('id_socio',$id)->get();
        //dd($linea_socio);
        $lineas=Linea::all();
        $pais=Pais::all();
        $especialidades=Especialidad::all();
        $tipoSocio=TipoSocio::all();
        $listas=ListaPrecios::all();
        $clasificaciones=Clasificacion::all();
        return view('socios.editar',compact('lineas','especialidades','tipoSocio','clasificaciones','listas','pais','socio','linea_socio'));
    }
    public function nuevaAprobacion(Request $request, SocioBorrador $idBorrador)
    {
        //
        $orgDate = $request->fecha_cumpleanos;
        $newDate = date("Y-m-d", strtotime($orgDate));

        $socio = new Socio();
        $socio->nit_socio = $request->nit;
        $socio->dpi = $request->dpi;
        $socio->telefono_oficina_socio = $request->telefono;
        $socio->telefono_movil_socio = $request->celular;
        $socio->numero_colegiado_socio = $request->colegiado;
        $socio->primer_nombre_socio = $request->primer_nombre;
        $socio->segundo_nombre_socio = $request->segundo_nombre;
        $socio->primer_apellido_socio = $request->primer_apellido;
        $socio->segundo_apellido_socio = $request->segundo_apellido;
        $socio->nombre_comercial_socio = $request->nombre_comercial;
        $socio->id_especialidad = $request->especialidad;
        $socio->id_codigo_postal = $request->id_codigo_postal;
        $socio->id_gira = $request->id_gira;
        $socio->cod_diamante = $request->diamante;
        $socio->cod_elvis = $request->elvis;
        $socio->id_tipo_socio = $request->tipo_socio;
        $socio->direccion = $request->direccion;
        $socio->fecha_cumpleanos = $request->$newDate;
        $socio->hobby = $request->hobby;
        $socio->id_lista = $request->id_lista;
        $socio->id_clasificacion = $request->clasificación;
        $socio->id_user = Auth::id();
        if(Auth::user()->id_role==2){
            $socio->status=1;
        }else{
            $socio->status=0;
        }
        $socio->save();

        if($socio->id){

            foreach($request->lineas as $linea){
                $lineaSocio = new LineaSocio();
                $lineaSocio->id_socio = $socio->id;
                $lineaSocio->id_user = Auth::id();
                $lineaSocio->id_linea = $linea;
                $lineaSocio->save();
            }
            $arrResponse = [
                'message' => 'Socio guardado correctamente'
            ];
            
            LineaSocioBorrador::destroy($idBorrador->id_socio);
            SocioBorrador::destroy($idBorrador->id);
            return redirect()->route('socios.index')->with($arrResponse);

        }else{
            $arrResponse = [
                'message' => 'Error al guardar al socio'
            ];
            if(Auth::user()->id_role==2){
                return redirect()->route('socios.crear')->with($arrResponse);
            }
            return redirect()->route('socios.index')->with($arrResponse);
        }
        $arrResponse = [
            'message' => 'Error al guardar al socio'
        ];
        if(Auth::user()->id_role==2){
            return redirect()->route('socios.crear')->with($arrResponse);
        }
        return redirect()->route('socios.index')->with($arrResponse);
        dd();
    }
    public function destroyAprobacion(Socio $socio)
    {
        //
        LineaSocioBorrador::destroy($socio->id_socio);
        SocioBorrador::destroy($socio->id);
        $arrResponse = [
            'message' => 'Socio eliminado correctamente'
        ];
        return redirect()->route('socio.aprobaciones')->with($arrResponse);
    }
}
