<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\CodigoPostal;
use App\Apm;
use App\PlanTrabajo;

class AsignacionTerritorioController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //
        $planTrabajo=PlanTrabajo::with('apm')
                    ->with('codigo_postal')
                    ->get();
        return view('distribucion_territorios.lista',compact('planTrabajo','apms'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
        $apms=Apm::all();
        return view('distribucion_territorios.nuevo',compact('apms'));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
        $asignacionPlan = new PlanTrabajo();
        $asignacionPlan->id_apm = $request->id_apm;
        $asignacionPlan->id_codigo_postal = $request->id_codigo_postal;
        $asignacionPlan->id_user = 1;
        $asignacionPlan->save();
        $arrResponse = [
            'message' => 'Asignación correctamente'
        ];
        return redirect()->route('territorio.index')->with($arrResponse);
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
    public function codigosArea(){

        $codigoPostal['data']=CodigoPostal::with('pais')
                ->with('departamento')
                ->with('municipio')
                ->with('region')
                ->with('gira')
                ->with('zona')
                ->get();
        return response($codigoPostal);
    }
}
