<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\DistribucionFichero;
use App\DistribucionFicheroInfo;
use App\Socio;
use App\Gira;
use App\Linea;
use App\Apm;
use Illuminate\Support\Facades\DB;

class DistribucionFicheroController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //
        $distribucionFichero=DistribucionFicheroInfo::all();
        return view('distribucion_fichero.lista',compact('distribucionFichero'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create(Request $request)
    {
        //

        $apms=Apm::all();
        $socios=DB::table('crm_socio')
                            ->where('crm_socio.id_gira',$request->id_gira)
                            ->join('crm_linea_socio', 'crm_socio.id', 'crm_linea_socio.id_socio')
                            ->where('crm_linea_socio.id_linea', $request->id_linea)
                            ->join('crm_linea', 'crm_linea_socio.id_linea', 'crm_linea.id')
                            ->select('crm_socio.id','crm_socio.primer_nombre_socio','crm_socio.segundo_nombre_socio',
                            'crm_socio.primer_apellido_socio','crm_socio.segundo_apellido_socio')
                            ->get();
        return view('distribucion_fichero.nuevo',compact('apms','socios'));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $fechaInicio = date("Y-m-d", strtotime($request->fecha_inicio));
        $fechaFinal = date("Y-m-d", strtotime($request->fecha_final));

        //Nuevo fichero
        $ficheroInfo=new DistribucionFicheroInfo();
        $ficheroInfo->nombre_fichero = $request->nombre_fichero;
        $ficheroInfo->fecha_inicio = $fechaInicio;
        $ficheroInfo->fecha_final = $fechaFinal;
        $ficheroInfo->save();
        foreach($request->idSocios as $i=>$idSocio){
            if($request->socioSi[$i]=="on"){
                $asignacionFichero = new DistribucionFichero();
                $asignacionFichero->id_fichero = $ficheroInfo->id;
                $asignacionFichero->id_socio = $idSocio;
                $asignacionFichero->id_apm_user = $request->id_apms[0];
                $asignacionFichero->save();
            }
        }
        $arrResponse = [
            'message' => 'Asignacion de fichero guardado correctamente'
        ];
        return redirect()->route('fichero.index')->with($arrResponse);
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
    public function buscar(){
        $giras=Gira::with('region')
                    ->get();
        $lineas=Linea::all();
        return view('distribucion_fichero.buscar',compact('giras','lineas'));
    }
}
