<?php

namespace App\Http\Controllers;
use Illuminate\Support\Facades\Auth;
use App\Socio;
use App\Parrilla;
use App\Visita;
use App\VisitaParrilla;
use App\ListaPrecios;
use App\Bonificacion;
use App\VisitaPedido;
use App\VisitaPedidoProducto;
use App\VisitaPedidoCombo;
use App\VisitaPedidoProductoCombo;
use App\VisitaEVA;
use App\Combo;
use App\VisitaEVAProducto;
use App\ProductoPromocional;
use App\ProductoLaboratorio;

use Illuminate\Http\Request;

class FichaSocioController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index($idSocio)
    {
        //Inicia
        $fechaAhora=date("Y/m/d");
        //Comentarios
        $comentarios=Visita::where('id_apm',Auth::id())
                            ->where('id_socio',$idSocio)
                            ->get();
        //Combos
        $combos=Combo::where('fecha_inicio','<=',$fechaAhora)
                            ->where('fecha_final','>=',$fechaAhora)
                            ->with('combo_productos')
                            ->get();
        $anoAcutal=intval(date("Y"))-2;
        $socio=Socio::with('especialidad')->with('clasificacion')->with('tipoSocio')->find($idSocio);
        //Obtiene las facturas
        $cons_usuario="mercafar_crm";
        $cons_contra="CRM3040989018350";
        $cons_base_datos="mercafar_mecafarma";
        $cons_equipo="162.241.31.209";

        @$obj_conexion =mysqli_connect($cons_equipo,$cons_usuario,$cons_contra,$cons_base_datos);
        if(!$obj_conexion)
        {
            $fechaAhora=date("Y/m/d");

            $parrillas=Parrilla::where('fecha_inicio','<=',$fechaAhora)
                                ->where('fecha_final','>=',$fechaAhora)
                                ->where('id_especialidad',$socio->id_especialidad)
                                ->with('parrilla_presentacion')
                                ->first();

            //Listado de precios
            $cupones=[];
            $facturas=[];
            $productos=[];
            $productoPromocionales=ProductoPromocional::all();
            $listado=ListaPrecios::with('listado_precios')->find($socio->id_lista);
            $listadoJson=json_encode($listado->listado_precios);
            $bonificaciones=Bonificacion::all();
            $bonificacionesJson=json_encode($bonificaciones);
            $laboratorios=ProductoLaboratorio::all();
            return view('ficha_socio.ficha',compact('cupones','listadoJson','socio','comentarios','combos','parrillas','listado','bonificaciones','facturas','productos','productoPromocionales','laboratorios','bonificacionesJson'));
        }


        $var_consulta= "SELECT v.cod_tipo_movi as tipo_doc,
                v.fecha_documento as fecha,
                v.num_movi as numero_doc,
                v.cod_serie_movi as serie_docu,
                v.cod_cliente as cod_cliente,
                v.nit,
                v.nombre_cliente,
                v.tipo_cliente,
                v.total_articulos as total_articulos,
                YEAR(v.fecha_documento),
                v.reng_neto_con_iva as total_factura
                    FROM view_crm_fac v
                    WHERE v.COD_CLIENTE = '".$socio->cod_diamante."'  AND YEAR(v.fecha_documento)>$anoAcutal
                    ORDER BY v.fecha_documento ASC, v.num_movi";
        $var_resultado = $obj_conexion->query($var_consulta);
        if($var_resultado->num_rows>0){

            while ($var_fila=$var_resultado->fetch_array()){
                $facturas[]=[
                    'fecha'=>$var_fila["fecha"],
                    'numero_doc'=>$var_fila["numero_doc"],
                    'serie_docu'=>$var_fila["serie_docu"],
                    'total_articulos'=>$var_fila["total_articulos"],
                    'total_factura'=>$var_fila["total_factura"],
                ];
             }
        }
        //Otra
        $var_consulta= "SELECT v.cod_tipo_movi as tipo_doc,
                v.fecha_documento as fecha,
                v.num_movi as numero_doc,
                v.cod_serie_movi as serie_docu,
                v.cod_cliente as cod_cliente,
                v.nit,
                v.nombre_cliente,
                v.tipo_cliente,
                v.orden,
                v.cod_producto,
                v.codigo_producto,
                v.nombre_producto,
                v.total_articulos,
                v.precio_unitario,
                SUM(v.total_articulos) AS cantidad_total,
                v.reng_neto_con_iva as total_factura
                    FROM view_crm_fac_det v
                    WHERE v.cod_cliente = '".$socio->cod_diamante."'
                    GROUP BY v.codigo_producto
                    ORDER BY v.fecha_documento DESC, v.num_movi, v.orden";
        $var_resultado = $obj_conexion->query($var_consulta);

        if($var_resultado->num_rows>0){

            while ($var_fila=$var_resultado->fetch_array()){
                $productos[]=[
                    'codigo_producto'=>$var_fila["cod_producto"],
                    'nombre_producto'=>$var_fila["nombre_producto"],
                    'cantidad_total'=>$var_fila["cantidad_total"],
                ];
            }

        }
        //Cupones consulta
        $cons_base_datos="mercafar_cupones";
        $obj_conexion =mysqli_connect($cons_equipo,$cons_usuario,$cons_contra,$cons_base_datos);
        if(!$obj_conexion){
            echo "<h3>No se ha podido conectar PHP - MySQL, verifique sus datos.</h3><hr><br>";
        }


        $var_consulta= "SELECT t1.tipo_cupon, t1.cod_colegiado, t1.producto_id, t1.nombre_promocion, t1.EMITIDO, t1.SUSCRITO, t1.CANJEADO, t1.LIQUIDADO, t1.PAGADO, t1.TOTAL
          FROM view_crm_cupones t1
          WHERE t1.cod_colegiado = '".$socio->numero_colegiado_socio."'
          ORDER BY t1.total desc"; /*codigo de colegiado de referencia */
        $var_resultado = $obj_conexion->query($var_consulta);

        if($var_resultado->num_rows>0){
            while ($var_fila=$var_resultado->fetch_array()){
                $cupones[]=[
                    'tipo_cupon'=>$var_fila["tipo_cupon"],
                    'cod_colegiado'=>$var_fila["cod_colegiado"],
                    'producto_id'=>$var_fila["producto_id"],
                    'nombre_promocion'=>$var_fila["nombre_promocion"],
                    'EMITIDO'=>$var_fila["EMITIDO"],
                    'SUSCRITO'=>$var_fila["SUSCRITO"],
                    'CANJEADO'=>$var_fila["CANJEADO"],
                    'LIQUIDADO'=>$var_fila["LIQUIDADO"],
                    'PAGADO'=>$var_fila["PAGADO"],
                    'TOTAL'=>$var_fila["TOTAL"],
                ];
            }
        }



        $parrillas=Parrilla::where('fecha_inicio','<=',$fechaAhora)
                            ->where('fecha_final','>=',$fechaAhora)
                            ->where('id_especialidad',$socio->id_especialidad)
                            ->with('parrilla_presentacion')
                            ->first();

        //Listado de precios
        $productoPromocionales=ProductoPromocional::all();
        $listado=ListaPrecios::with('listado_precios')->find($socio->id_lista);
        $listadoJson=json_encode($listado->listado_precios);
        $bonificaciones=Bonificacion::all();
        $bonificacionesJson=json_encode($bonificaciones);
        $laboratorios=ProductoLaboratorio::all();
        //Generar visita


        return view('ficha_socio.ficha',compact('cupones','listadoJson','comentarios','combos','socio','parrillas','listado','bonificaciones','facturas','productos','productoPromocionales','laboratorios','bonificacionesJson'));
    }
    public function index_pedido($idSocio)
    {
        //Inicia
        $fechaAhora=date("Y/m/d");
        //Comentarios
        $comentarios=Visita::where('id_apm',Auth::id())
                            ->where('id_socio',$idSocio)
                            ->get();
        //Combos
        $combos=Combo::where('fecha_inicio','<=',$fechaAhora)
                            ->where('fecha_final','>=',$fechaAhora)
                            ->with('combo_productos')
                            ->get();
        $anoAcutal=intval(date("Y"))-2;
        $socio=Socio::with('especialidad')->with('clasificacion')->with('tipoSocio')->find($idSocio);
        //Obtiene las facturas
        $cons_usuario="mercafar_crm";
        $cons_contra="CRM3040989018350";
        $cons_base_datos="mercafar_mecafarma";
        $cons_equipo="162.241.31.209";

        @$obj_conexion =mysqli_connect($cons_equipo,$cons_usuario,$cons_contra,$cons_base_datos);
        if(!$obj_conexion)
        {
            $fechaAhora=date("Y/m/d");

            $parrillas=Parrilla::where('fecha_inicio','<=',$fechaAhora)
                                ->where('fecha_final','>=',$fechaAhora)
                                ->where('id_especialidad',$socio->id_especialidad)
                                ->with('parrilla_presentacion')
                                ->first();

            //Listado de precios
            $cupones=[];
            $facturas=[];
            $productos=[];
            $productoPromocionales=ProductoPromocional::all();
            $listado=ListaPrecios::with('listado_precios')->find($socio->id_lista);
            $listadoJson=json_encode($listado->listado_precios);
            $bonificaciones=Bonificacion::all();
            $bonificacionesJson=json_encode($bonificaciones);
            $laboratorios=ProductoLaboratorio::all();
            return view('ficha_socio.ficha_pedido',compact('cupones','listadoJson','socio','comentarios','combos','parrillas','listado','bonificaciones','facturas','productos','productoPromocionales','laboratorios','bonificacionesJson'));
        }


        $var_consulta= "SELECT v.cod_tipo_movi as tipo_doc,
                v.fecha_documento as fecha,
                v.num_movi as numero_doc,
                v.cod_serie_movi as serie_docu,
                v.cod_cliente as cod_cliente,
                v.nit,
                v.nombre_cliente,
                v.tipo_cliente,
                v.total_articulos as total_articulos,
                YEAR(v.fecha_documento),
                v.reng_neto_con_iva as total_factura
                    FROM view_crm_fac v
                    WHERE v.COD_CLIENTE = '".$socio->cod_diamante."'  AND YEAR(v.fecha_documento)>$anoAcutal
                    ORDER BY v.fecha_documento ASC, v.num_movi";
        $var_resultado = $obj_conexion->query($var_consulta);
        if($var_resultado->num_rows>0){

            while ($var_fila=$var_resultado->fetch_array()){
                $facturas[]=[
                    'fecha'=>$var_fila["fecha"],
                    'numero_doc'=>$var_fila["numero_doc"],
                    'serie_docu'=>$var_fila["serie_docu"],
                    'total_articulos'=>$var_fila["total_articulos"],
                    'total_factura'=>$var_fila["total_factura"],
                ];
             }
        }
        //Otra
        $var_consulta= "SELECT v.cod_tipo_movi as tipo_doc,
                v.fecha_documento as fecha,
                v.num_movi as numero_doc,
                v.cod_serie_movi as serie_docu,
                v.cod_cliente as cod_cliente,
                v.nit,
                v.nombre_cliente,
                v.tipo_cliente,
                v.orden,
                v.cod_producto,
                v.codigo_producto,
                v.nombre_producto,
                v.total_articulos,
                v.precio_unitario,
                SUM(v.total_articulos) AS cantidad_total,
                v.reng_neto_con_iva as total_factura
                    FROM view_crm_fac_det v
                    WHERE v.cod_cliente = '".$socio->cod_diamante."'
                    GROUP BY v.codigo_producto
                    ORDER BY v.fecha_documento DESC, v.num_movi, v.orden";
        $var_resultado = $obj_conexion->query($var_consulta);

        if($var_resultado->num_rows>0){

            while ($var_fila=$var_resultado->fetch_array()){
                $productos[]=[
                    'codigo_producto'=>$var_fila["cod_producto"],
                    'nombre_producto'=>$var_fila["nombre_producto"],
                    'cantidad_total'=>$var_fila["cantidad_total"],
                ];
            }

        }
        //Cupones consulta
        $cons_base_datos="mercafar_cupones";
        $obj_conexion =mysqli_connect($cons_equipo,$cons_usuario,$cons_contra,$cons_base_datos);
        if(!$obj_conexion){
            echo "<h3>No se ha podido conectar PHP - MySQL, verifique sus datos.</h3><hr><br>";
        }


        $var_consulta= "SELECT t1.tipo_cupon, t1.cod_colegiado, t1.producto_id, t1.nombre_promocion, t1.EMITIDO, t1.SUSCRITO, t1.CANJEADO, t1.LIQUIDADO, t1.PAGADO, t1.TOTAL
          FROM view_crm_cupones t1
          WHERE t1.cod_colegiado = '".$socio->numero_colegiado_socio."'
          ORDER BY t1.total desc"; /*codigo de colegiado de referencia */
        $var_resultado = $obj_conexion->query($var_consulta);

        if($var_resultado->num_rows>0){
            while ($var_fila=$var_resultado->fetch_array()){
                $cupones[]=[
                    'tipo_cupon'=>$var_fila["tipo_cupon"],
                    'cod_colegiado'=>$var_fila["cod_colegiado"],
                    'producto_id'=>$var_fila["producto_id"],
                    'nombre_promocion'=>$var_fila["nombre_promocion"],
                    'EMITIDO'=>$var_fila["EMITIDO"],
                    'SUSCRITO'=>$var_fila["SUSCRITO"],
                    'CANJEADO'=>$var_fila["CANJEADO"],
                    'LIQUIDADO'=>$var_fila["LIQUIDADO"],
                    'PAGADO'=>$var_fila["PAGADO"],
                    'TOTAL'=>$var_fila["TOTAL"],
                ];
            }
        }



        $parrillas=Parrilla::where('fecha_inicio','<=',$fechaAhora)
                            ->where('fecha_final','>=',$fechaAhora)
                            ->where('id_especialidad',$socio->id_especialidad)
                            ->with('parrilla_presentacion')
                            ->first();

        //Listado de precios
        $productoPromocionales=ProductoPromocional::all();
        $listado=ListaPrecios::with('listado_precios')->find($socio->id_lista);
        $listadoJson=json_encode($listado->listado_precios);
        $bonificaciones=Bonificacion::all();
        $bonificacionesJson=json_encode($bonificaciones);
        $laboratorios=ProductoLaboratorio::all();
        //Generar visita


        return view('ficha_socio.ficha_pedido',compact('cupones','listadoJson','comentarios','combos','socio','parrillas','listado','bonificaciones','facturas','productos','productoPromocionales','laboratorios','bonificacionesJson'));
    }
    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //

    }
    //Nueva cita
    public function nuevaCita(Request $request){
        $visita = new Visita();
        $visita->id_apm = Auth::id();
        $visita->id_socio = $request->idSocio;
        $visita->id_parrilla = $request->idParrilla;
        $visita->comentario = '';
        $visita->coordenada_log = $request->logitud;
        $visita->coordenada_lat = $request->latitud;
        $visita->status = 1;
        $visita->save();
        $arrResponse = [
            'idVisita' => $visita->id,
            'message' => 'Visita creada correctamente'
        ];
        return response($arrResponse);
    }
    public function actualizarParrilla(Request $request){
        $i=0;
        foreach($request->cantidadesParrilla as $cantidad){
            $visitaParrilla = new VisitaParrilla();
            $visitaParrilla->id_parrilla = $request->idParrilla;
            $visitaParrilla->id_visita = $request->idVisita;
            $visitaParrilla->id_producto = $request->idCantidaesParrilla[$i];
            $visitaParrilla->id_apm = Auth::id();
            $visitaParrilla->cantidad = $cantidad;
            $visitaParrilla->save();
            $i++;
        }

        $arrResponse = [
            'message' => 'Parrila actualizada correctamente'
        ];
        return response($arrResponse);
    }
    public function guardarPedido(Request $request){
        $i=0;
        $visitaPedido = new VisitaPedido();
        $visitaPedido->id_visita = $request->idVisita;
        $visitaPedido->id_apm = Auth::id();
        $visitaPedido->id_socio = $request->idSocio;
        $visitaPedido->comentario = $request->comentario;
        $visitaPedido->save();
        if($visitaPedido->id>0){
            foreach($request->idProductos as $idProducto){
                $visitaPedidoProducto = new VisitaPedidoProducto();
                $visitaPedidoProducto->id_visita = $request->idVisita;
                $visitaPedidoProducto->id_visita_pedido = $visitaPedido->id;
                $visitaPedidoProducto->id_producto = $idProducto;
                $visitaPedidoProducto->cantidad = $request->cantidadPedido[$i];
                $visitaPedidoProducto->precio = $request->precioPedido[$i];
                $visitaPedidoProducto->id_bonificacion = $request->idBonificacion[$i];
                $visitaPedidoProducto->save();
                $i++;
            }
        }
        $arrResponse = [
            'message' => 'Pedido guardado correctamente'
        ];
        return response($arrResponse);
    }
    public function guardarComentario(Request $request){
        Visita::where('id', $request->idVisita)
                        ->update(['comentario' => $request->comentario]);
        $arrResponse = [
            'message' => 'Comentario guardado correctamente'
        ];
        return response($arrResponse);
    }
    public function guardarEVA(Request $request){
        $i=0;
        $visitaPedido = new VisitaEVA();
        $visitaPedido->id_visita = $request->idVisita;
        $visitaPedido->id_apm = Auth::id();
        $visitaPedido->id_socio = $request->idSocio;
        $visitaPedido->comentario = $request->comentario;
        $visitaPedido->save();
        if($visitaPedido->id>0){
            foreach($request->idProductos as $idProducto){
                $visitaPedidoProducto = new VisitaEVAProducto();
                $visitaPedidoProducto->id_visita = $request->idVisita;
                $visitaPedidoProducto->id_visita_eva = $visitaPedido->id;
                $visitaPedidoProducto->id_producto = $idProducto;
                $visitaPedidoProducto->id_bonificacion = $request->idBonificacion[$i];
                $visitaPedidoProducto->cantidad = $request->cantidadPedido[$i];
                $visitaPedidoProducto->precio = $request->precioPedido[$i];
                $visitaPedidoProducto->porcentaje = $request->porcentaje[$i];
                $visitaPedidoProducto->save();
                $i++;
            }
        }
        $arrResponse = [
            'message' => 'EVA guardado correctamente'
        ];
        return response($arrResponse);
    }
    //Busca las facturas del cliente por codigo
    public function facturasCliente(Request $request){
        $cons_usuario="mercafar_crm";
        $cons_contra="CRM3040989018350";
        $cons_base_datos="mercafar_mecafarma";
        $cons_equipo="162.241.31.209";

        $obj_conexion =
        mysqli_connect($cons_equipo,$cons_usuario,$cons_contra,$cons_base_datos);
        if(!$obj_conexion)
        {
            echo "<h3>No se ha podido conectar PHP - MySQL, verifique sus datos.</h3><hr><br>";
            exit();
        }


        $var_consulta= "SELECT v.cod_tipo_movi as tipo_doc,
                v.fecha_documento as fecha,
                v.num_movi as numero_doc,
                v.cod_serie_movi as serie_docu,
                v.cod_cliente as cod_cliente,
                v.nit,
                v.nombre_cliente,
                v.tipo_cliente,
                YEAR(v.fecha_documento),
                v.total_articulos as total_articulos,
                v.reng_neto_con_iva as total_factura
                    FROM view_crm_fac v
                    WHERE v.COD_CLIENTE = '2264' AND YEAR(v.fecha_documento)>2019
                    ORDER BY v.fecha_documento DESC, v.num_movi";
        $var_resultado = $obj_conexion->query($var_consulta);
        if($var_resultado->num_rows>0){

            while ($var_fila=$var_resultado->fetch_array()){
                $facturas[]=[
                    'fecha'=>$var_fila["fecha"],
                    'numero_doc'=>$var_fila["numero_doc"],
                    'serie_docu'=>$var_fila["serie_docu"],
                    'total_articulos'=>$var_fila["total_articulos"],
                    'total_factura'=>$var_fila["total_factura"],
                ];
             }
        }
        return response($facturas);
    }

    public function consultarFactura(Request $request){
        $cons_usuario="mercafar_crm";
        $cons_contra="CRM3040989018350";
        $cons_base_datos="mercafar_mecafarma";
        $cons_equipo="162.241.31.209";

        $obj_conexion =
        mysqli_connect($cons_equipo,$cons_usuario,$cons_contra,$cons_base_datos);
        if(!$obj_conexion)
        {
            echo "<h3>No se ha podido conectar PHP - MySQL, verifique sus datos.</h3><hr><br>";
            exit();
        }

        $serie=$request->serie;
        $factura=$request->factura;
        $codigoDiamante=$request->codigoDiamante;

        $var_consulta= "SELECT v.cod_tipo_movi as tipo_doc,
                v.fecha_documento as fecha,
                v.num_movi as numero_doc,
                v.cod_serie_movi as serie_docu,
                v.cod_cliente as cod_cliente,
                v.nit,
                v.nombre_cliente,
                v.tipo_cliente,
                v.orden,
                v.cod_producto,
                v.codigo_producto,
                v.nombre_producto,
                v.total_articulos,
                v.precio_unitario,

                v.reng_neto_con_iva as total_factura
                    FROM view_crm_fac_det v
                    WHERE v.cod_cliente = '".$codigoDiamante."' AND v.cod_serie_movi = '".$serie."' AND
                    v.num_movi = '".$factura."'
                    ORDER BY v.fecha_documento ASC, v.num_movi, v.orden";
        $var_resultado = $obj_conexion->query($var_consulta);

        if($var_resultado->num_rows>0){

            while ($var_fila=$var_resultado->fetch_array()){
                $facturas[]=[
                    'fecha'=>$var_fila["fecha"],
                    'numero_doc'=>$var_fila["numero_doc"],
                    'serie_docu'=>$var_fila["serie_docu"],
                    'nombre_producto'=>$var_fila["nombre_producto"],
                    'total_articulos'=>$var_fila["total_articulos"],
                    'precio_unitario'=>number_format($var_fila["precio_unitario"],2),
                    'total_factura'=>$var_fila["total_factura"],

                ];
            }

        }
        return response($facturas);
    }
    public function productosFacturas(Request $request){
        $cons_usuario="mercafar_crm";
        $cons_contra="CRM3040989018350";
        $cons_base_datos="mercafar_mecafarma";
        $cons_equipo="162.241.31.209";

        $obj_conexion =
        mysqli_connect($cons_equipo,$cons_usuario,$cons_contra,$cons_base_datos);
        if(!$obj_conexion)
        {
            echo "<h3>No se ha podido conectar PHP - MySQL, verifique sus datos.</h3><hr><br>";
            exit();
        }

        $producto=$request->producto;
        $codigoDiamante=$request->codigoDiamante;
        $var_consulta= "SELECT v.cod_tipo_movi as tipo_doc,
                v.fecha_documento as fecha,
                v.num_movi as numero_doc,
                v.cod_serie_movi as serie_docu,
                v.cod_cliente as cod_cliente,
                v.nit,
                v.nombre_cliente,
                v.tipo_cliente,
                v.orden,
                v.cod_producto,
                v.codigo_producto,
                v.nombre_producto,
                v.total_articulos,
                v.precio_unitario,
                v.reng_neto_con_iva as total_factura
                    FROM view_crm_fac_det v
                    WHERE v.cod_cliente = '".$codigoDiamante."' AND v.cod_producto= '".$producto."'
                    ORDER BY v.fecha_documento DESC, v.num_movi, v.orden";
        $var_resultado = $obj_conexion->query($var_consulta);

        if($var_resultado->num_rows>0){

            while ($var_fila=$var_resultado->fetch_array()){
                $productos[]=[
                    'fecha_documento'=>$var_fila["fecha"],
                    'serie_docu'=>$var_fila["serie_docu"],
                    'numero_doc'=>$var_fila["numero_doc"],
                    'total_articulos'=>$var_fila["total_articulos"],
                    'precio_unitario'=>number_format($var_fila["precio_unitario"]),
                    'total_factura'=>$var_fila["total_factura"],
                ];
            }

        }
        return response($productos);
    }
}
