<?php

namespace App\Http\Controllers;
use Illuminate\Support\Facades\Auth;
use App\Apm;
use App\CodigoPostal;
use App\Especialidad;
use App\Linea;
use App\TipoSocio;
use App\Clasificacion;
use App\Socio;
use App\LineaSocio;
use App\ListaPrecios;
use Illuminate\Support\Facades\DB;

use Illuminate\Http\Request;

class SociosController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //
        $socios=Socio::with('lineas')
                ->with('especialidad')
                ->with('tipoSocio')
                ->with('clasificacion')
                ->get();
        return view('socios.lista',compact('socios'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
        $lineas=Linea::all();
        $especialidades=Especialidad::all();
        $tipoSocio=TipoSocio::all();
        $listas=ListaPrecios::all();
        $clasificaciones=Clasificacion::all();
        return view('socios.nuevo',compact('lineas','especialidades','tipoSocio','clasificaciones','listas'));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
        $orgDate = $request->fecha_cumpleanos;
        $newDate = date("Y-m-d", strtotime($orgDate));

        $socio = new Socio();
        $socio->nit_socio = $request->nit;
        $socio->dpi = $request->dpi;
        $socio->telefono_oficina_socio = $request->telefono;
        $socio->telefono_movil_socio = $request->celular;
        $socio->numero_colegiado_socio = $request->colegiado;
        $socio->primer_nombre_socio = $request->primer_nombre;
        $socio->segundo_nombre_socio = $request->segundo_nombre;
        $socio->primer_apellido_socio = $request->primer_apellido;
        $socio->segundo_apellido_socio = $request->segundo_apellido;
        $socio->nombre_comercial_socio = $request->nombre_comercial;
        $socio->id_especialidad = $request->especialidad;
        $socio->id_codigo_postal = $request->id_codigo_postal;
        $socio->id_gira = $request->id_gira;
        $socio->cod_diamante = $request->diamante;
        $socio->cod_elvis = $request->elvis;
        $socio->id_tipo_socio = $request->tipo_socio;
        $socio->direccion = $request->direccion;
        $socio->fecha_cumpleanos = $request->$newDate;
        $socio->hobby = $request->hobby;
        $socio->id_lista = $request->id_lista;
        $socio->id_clasificacion = $request->clasificación;
        $socio->id_user = Auth::id();
        if(Auth::user()->id_role==2){
            $socio->status=2;
        }else{
            $socio->status=1;
        }
        $socio->save();

        if($socio->id){

            foreach($request->lineas as $linea){
                $lineaSocio = new LineaSocio();
                $lineaSocio->id_socio = $socio->id;
                $lineaSocio->id_user = Auth::id();
                $lineaSocio->id_linea = $linea;
                $lineaSocio->save();
            }
            $arrResponse = [
                'message' => 'Socio guardado correctamente'
            ];
            if(Auth::user()->id_role==2){
                return redirect()->route('socios.crear')->with($arrResponse);
            }
            return redirect()->route('socios.index')->with($arrResponse);

        }else{
            $arrResponse = [
                'message' => 'Error al guardar al socio'
            ];
            if(Auth::user()->id_role==2){
                return redirect()->route('socios.crear')->with($arrResponse);
            }
            return redirect()->route('socios.index')->with($arrResponse);
        }
        $arrResponse = [
            'message' => 'Error al guardar al socio'
        ];
        if(Auth::user()->id_role==2){
            return redirect()->route('socios.crear')->with($arrResponse);
        }
        return redirect()->route('socios.index')->with($arrResponse);
        dd();
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }

    public function codigosArea(){

        $codigoPostal['data']=CodigoPostal::with('pais')
                ->with('departamento')
                ->with('municipio')
                ->with('region')
                ->with('gira')
                ->with('zona')
                ->get();
        return response($codigoPostal);
    }

    public function listadoSocios()
    {
        $idAPM=Auth::id();
        $apm=Apm::where('id_user',$idAPM)->first();
        $idLinea=$apm->id_linea;

        $socios=DB::table('crm_linea_socio')
                            ->where('crm_linea_socio.id_linea',$idLinea)
                            ->join('crm_socio', 'crm_linea_socio.id_socio', 'crm_socio.id')
                            ->where('crm_socio.status',1)
                            ->get();
        return view('socios.lista_socios',compact('socios'));
    }
}
