@extends('layouts.index')
@section('contenido')
<div class="content">
	<div class="card">
        <div class="card-header header-elements-inline">
            <h5 class="card-title">LISTADO DE ZONAS</h5>
            <div class="header-elements">
                <div class="list-icons">
                    <a href="{{ route('zona.crear') }}" class="btn btn-link btn-float text-default">
                        <i class="icon-file-plus2 text-primary"></i><span>Nuevo zona</span>
                    </a>
                    <a class="list-icons-item" data-action="collapse"></a>
                </div>
            </div>
        </div>
        <table id="tablaJS" class="table datatable-basic">
            <thead>
                <tr>
                    <th>id</th>
                    <th>País</th>
                    <th>Departamento</th>
                    <th>Municipio</th>
                    <th>Zona</th>
                    <th class="text-center">Acciones</th>
                </tr>
            </thead>
            <tbody>
                @foreach ($zonas as $zona)
                    <tr>
                        <td>{{$zona['id']}}</td>
                        <td>{{$zona->paises?$zona->paises['descripcion_pais']:''}}</td>
                        <td>{{$zona->departamentos?$zona->departamentos['descripcion_departamento']:''}}</td>
                        <td>{{$zona->municipios?$zona->municipios['descripcion_municipio']:''}}</td>
                        <td>{{$zona['descripcion_zona']?$zona['descripcion_zona']:''}}</td>
                        <td class="text-center">
                            <div class="list-icons">
                                <div class="dropdown">
                                    <a href="#" class="list-icons-item" data-toggle="dropdown">
                                        <i class="icon-menu9"></i>
                                    </a>

                                    <div class="dropdown-menu dropdown-menu-right">
                                        <a href="{{ route('zona.editar', $zona['id']) }}" class="dropdown-item"><i class="icon-pencil6"></i> Editar</a>
                                        <a href="{{ route('zona.eliminar', $zona['id']) }}" class="dropdown-item"><i class="icon-trash"></i> Eliminar</a>
                                    </div>
                                </div>
                            </div>
                        </td>
                    </tr>
                @endforeach
            </tbody>
        </table>
    </div>
</div>
@endsection

@section('javascript')
<script>
    jQuery( document ).ready(function() {

    });
</script>
@endsection
