@extends('layouts.index')
@section('contenido')
<style>
    #map {
        min-height: 600px;
    }

</style>
<div class="content">
    <div class="row">
        <div class="col-md-6">
            <!-- Simple list -->
            <div class="card">
                <div class="card-header header-elements-inline">
                    <h5 class="card-title">STATUS APMS</h5>
                    <div class="header-elements">
                        <div class="list-icons">
                            <a class="list-icons-item" data-action="collapse"></a>
                        </div>
                    </div>
                </div>

                <div class="card-body">
                    <table id="tablaProducto1" class="table">
                        <thead>
                            <tr>
                                <th>ID</th>
                                <th>Nombre</th>
                                <th>Línea</th>
                                <th>Status</th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach ($apms as $apm)
                                <tr>
                                    <td>{{$apm['id']}}</td>
                                    <td>{{$apm['primer_nombre']}} {{$apm['segundo_nombre']}} {{$apm['primer_apellido']}} {{$apm['segundo_apellido']}}</td>
                                    <td>{{$apm->linea['descripcion_linea']}}</td>
                                    <td>
                                        <div class="list-icons list-icons-extended">
                                            <!-- border-danger -->
                                            @if ($apm->status)
                                                <span class="badge badge-mark border-success"></span>
                                            @else
                                                <span class="badge badge-mark border-danger"></span>
                                            @endif
                                            
                                            <span class="text-success">
                                                @if (@$socios->id_apm==$apm['id_user'])
                                                    <i data-logitud="{{$socios->coordenada_log}}" data-latiud="{{$socios->coordenada_lat}}" data-nombre="{{$socios->primer_nombre_socio}} {{$socios->primer_apellido_socio}}" class="mapaUbicacion icon-pin-alt font-size-base mr-1"></i>
                                                @endif
                                            </span>
                                        </div>
                                    </td>
                                </tr>
                            @endforeach
                        </tbody>
                    </table>
                   
                </div>
            </div>
            <!-- /simple list -->

        </div>
        <div class="col-md-6">
            <div id="map"></div>
        </div>
    </div>
</div>
@endsection

@section('javascript')
<script
src="https://maps.googleapis.com/maps/api/js?key=AIzaSyBsmICYP3n5S2U6HCoAT_Phxe2AUqAcivI&callback=initMap&libraries=&v=weekly"
async
></script>
<script>
    function initMap() {
        const myLatlng = { lat: 14.58276, lng: -90.5773056 };
        const map = new google.maps.Map(document.getElementById("map"), {
            zoom: 10,
            center: myLatlng,
        });
        // Create the initial InfoWindow.
        // Configure the click listener.
        
    }
    
    jQuery( document ).ready(function() {
        $('.mapaUbicacion').on('click',function(){
            var ln=parseFloat($(this).attr('data-logitud'));
            var lt=parseFloat($(this).attr('data-latiud'));
            var n=$(this).attr('data-nombre');
            const myLatlng = { lat: lt, lng: ln };
            const map = new google.maps.Map(document.getElementById("map"), {
                zoom: 10,
                center: myLatlng,
            });
            // Create the initial InfoWindow.
            let infoWindow = new google.maps.InfoWindow({
                content: 'Socio: '+n,
                position: myLatlng,
            });
            infoWindow.open(map);
            // Configure the click listener.
            map.addListener("click", (mapsMouseEvent) => {
                // Close the current InfoWindow.
                infoWindow.close();
                // Create a new InfoWindow.
                infoWindow = new google.maps.InfoWindow({
                position: mapsMouseEvent.latLng,
                });
                infoWindow.setContent(
                JSON.stringify(mapsMouseEvent.latLng.toJSON(), null, 2)
                );
                infoWindow.open(map);
            });
        })
        var table =$('#tablaProducto1').DataTable({
            pageLength: 10,
            lengthMenu: [10, 20, 30]
        });
    });
    
</script>
@endsection
