@extends('layouts.index')
@section('contenido')
<div class="content">
	<div class="card">
        <div class="card-header header-elements-inline">
            <h5 class="card-title">LISTADO DE SOCIOS</h5>
            <div class="header-elements">
                <div class="list-icons">
                    <a href="{{ route('socios.crear') }}" class="btn btn-link btn-float text-default">
                        <i class="icon-file-plus2 text-primary"></i><span>Nuevo Socio</span>
                    </a>
                    <a class="list-icons-item" data-action="collapse"></a>
                </div>
            </div>
        </div>
        <table id="tablaJS" class="table datatable-basic">
            <thead>
                <tr>
                    <th>Nombre</th>
                    <th>Apellido</th>
                    <th>Línea</th>
                    <th>Especialidad</th>
                    <th>Tipo</th>
                    <th>Clasificación</th>
                    <th class="text-center">Acciones</th>
                </tr>
            </thead>
            <tbody>
                @foreach ($socios as $socio)
                    <tr>
                        <td>{{$socio['primer_nombre_socio']}} {{$socio['segundo_nombre_socio']}}</td>
                        <td>{{$socio['primer_apellido_socio']}} {{$socio['segundo_apellido_socio']}}</td>
                        <td>
                            @foreach ($socio->lineas as $linea)
                                <span class="badge badge-success">{{$linea['descripcion_linea']}}</span>
                            @endforeach
                        </td>
                        <td>{{$socio->especialidad['descripcion_especialidad']}}</td>
                        <td>{{$socio->tipoSocio['descripcion_tipo_socio']}}</td>
                        <td>{{$socio->clasificacion['descripcion_clasificacion']}}</td>
                        <td class="text-center">
                            <div class="list-icons">
                                <div class="dropdown">
                                    <a href="#" class="list-icons-item" data-toggle="dropdown">
                                        <i class="icon-menu9"></i>
                                    </a>

                                    <div class="dropdown-menu dropdown-menu-right">
                                        <a href="#" class="dropdown-item"><i class="icon-pencil6"></i> Editar</a>
                                        <a href="#" class="dropdown-item"><i class="icon-trash"></i> Eliminar</a>
                                    </div>
                                </div>
                            </div>
                        </td>
                    </tr>
                @endforeach
            </tbody>
        </table>
    </div>
</div>
@endsection

@section('javascript')
<script>
    jQuery( document ).ready(function() {

    });
</script>
@endsection
