@extends('layouts.index')
@section('contenido')
<div class="content">
	<div class="card">
        <div class="card-header header-elements-inline">
            <h5 class="card-title">LISTADO DE SOCIOS</h5>
            <div class="header-elements">
                <div class="list-icons">
                    @if(auth()->user()->id_role==1)
                    <a href="{{ route('socios.crear') }}" class="btn btn-link btn-float text-default">
                        <i class="icon-file-plus2 text-primary"></i><span>Nuevo Socio</span>
                    </a>
                    @endif
                    <a class="list-icons-item" data-action="collapse"></a>
                </div>
            </div>
        </div>
        <table id="tablaJS" class="table datatable-basic">
            <thead>
                <tr>
                    <th>Nombre</th>
                    <th>Apellido</th>
                    <th>Nombre comercial</th>
                    <th>Direccion</th>
                    <th class="text-center">Acción</th>
                </tr>
            </thead>
            <tbody>
                @foreach ($socios as $socio)
                    <tr>
                        <td>{{$socio->primer_nombre_socio}} {{$socio->segundo_nombre_socio}}</td>
                        <td>{{$socio->primer_apellido_socio}} {{$socio->segundo_apellido_socio}}</td>
                        <td>{{$socio->nombre_comercial_socio}}</td>
                        <td>{{$socio->direccion}}</td>
                        <td><a href="{{ route('socio.ficha_pedido', ['idSocio' => $socio->id]) }}">Pedido</a></td>
                    </tr>
                @endforeach
            </tbody>
        </table>
    </div>
</div>
@endsection

@section('javascript')
<script>
    jQuery( document ).ready(function() {
        var table =$('#tablaJS').DataTable( );
    });
</script>
@endsection
