
<?php $__env->startSection('contenido'); ?>
<div class="content">
    <div class="page-header page-header-light">
        <div class="page-header-content header-elements-md-inline">
            <div class="page-title d-flex">
                <h4><span class="font-weight-semibold">Jarvis</span> - Calendario</h4>
                <a href="#" class="header-elements-toggle text-default d-md-none"><i class="icon-more"></i></a>
            </div>
        </div>
    </div>
    <div class="content">
        <div class="card">
            <div class="card-header header-elements-inline">
                <h5 class="card-title">PLANIFICADOR</h5>
                <div class="header-elements">
                    <div class="list-icons">
                        <a class="list-icons-item" data-action="collapse"></a>
                        <a class="list-icons-item" data-action="reload"></a>
                        <a class="list-icons-item" data-action="remove"></a>
                    </div>
                </div>
            </div>

            <div class="card-body">
                <div class="row">
                    <div class="col-md-3">
                        <div class="mb-3" id="external-events">
                            <h6>DOCTORES <?php echo e(count($medicos)); ?></h6>
                            <input type="text" id="buscador">
                            <div class="bg-light border rounded p-2 mb-3">
                                <?php if(!empty($medicos)): ?>
                                    <?php $__currentLoopData = $medicos; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $kj=>$fichero): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <?php if(is_null($fichero->planificador)): ?>
                                            <div data-id="<?php echo e($fichero->id); ?>" class="fc-event" data-color="#546E7A" ><?php echo e($fichero->primer_nombre_socio); ?> <?php echo e($fichero->segundo_nombre_socio); ?> <?php echo e($fichero->primer_apellido_socio); ?> <?php echo e($fichero->segundo_apellido_socio); ?></div>
                                            <?php else: ?>
                                                <?php
                                                    $itemsCalendario[]=[
                                                        'id'=>$fichero->id,
                                                        'start'=>$fichero->planificador->fecha_asignada_apm,
                                                        'title'=>$fichero->primer_nombre_socio.' '.$fichero->segundo_nombre_socio.' '.$fichero->primer_apellido_socio.' '.$fichero->segundo_apellido_socio
                                                    ];
                                                ?>
                                            <?php endif; ?>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                <?php
                                    @$itemsCalendario=json_encode($itemsCalendario);
                                ?>
                                <?php else: ?>
                                <?php echo e($itemsCalendario ?? ''); ?>

                                <?php endif; ?>

                            </div>
                        </div>
                    </div>

                    <div class="col-md-9">
                        <div class="fullcalendar-external"></div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('javascript'); ?>
<script>
var FullCalendarAdvanced = function() {


//
// Setup module components
//

// External events
var _componentFullCalendarEvents = function() {
    if (typeof FullCalendar == 'undefined') {
        console.warn('Warning - Fullcalendar or Switchery files are not loaded.');
        return;
    }

    // Define components
    var Calendar = FullCalendar.Calendar;
    var Draggable = FullCalendarInteraction.Draggable;

    // Define elements
    var calendarEventsContainerElement = document.getElementById('external-events');
    var calendarEventsElement = document.querySelector('.fullcalendar-external');
    //Elementos del calendario
    var elementosCalendario=<?php echo $itemsCalendario; ?>;

    // Use custom colors for external events
    var two = calendarEventsContainerElement.querySelectorAll('.fc-event');
    two.forEach(function(element) {
        element.style.borderColor = element.getAttribute('data-color');
        element.style.backgroundColor = element.getAttribute('data-color');
    });

    // Initialize
    if(calendarEventsElement) {

        // Initialize the external events
        new Draggable(calendarEventsContainerElement, {
            itemSelector: '.fc-event',
            eventData: function(eventEl) {
                return {
                    id : eventEl.getAttribute('data-id'),
                    title: eventEl.innerText,
                    color: eventEl.getAttribute('data-color'),
                };
            },
            eventDidMount: function(info) {
                console.log(info.event.extendedProps);
                // {description: "Lecture", department: "BioChemistry"}
            }
        });


        // Initialize the calendar
        var calendarEventsInit = new Calendar(calendarEventsElement, {
            plugins: [ 'interaction', 'dayGrid', 'timeGrid' ],
            header: {
                left: 'prev,next today',
                center: 'title',
                right: 'dayGridMonth,timeGridWeek,timeGridDay'
            },
            locale: 'es',
            editable: true,
            droppable: true, // this allows things to be dropped onto the calendar
            defaultDate: '<?php echo e(date('Y-m-d')); ?>',
            events: elementosCalendario,
            drop: function(info) {
                //Fecha elegida=info.dateStr
                //Obtener el ID info.draggedEl.getAttribute('data-id')
                info.draggedEl.parentNode.removeChild(info.draggedEl);
                //id evento
                var idSocio=info.draggedEl.getAttribute('data-id');
                var fechaSeleccionada=info.dateStr;
                var token = '<?php echo e(csrf_token()); ?>';
                $.ajax({
                    type:'POST',
                    url:'<?php echo e(route('apm.planificador_guardar')); ?>',
                    headers: {'X-CSRF-TOKEN': token},
                    data:{
                        idSocio:idSocio,
                        fecha:fechaSeleccionada,
                    },
                    success:function(data){
                        Swal.fire({
                            position: 'top-end',
                            title: data.message,
                            showConfirmButton: false,
                            timer: 2500
                        })
                    }
                });
            },
            eventDrop: function(info) {
                console.log(info.event.start);
                var idSocio=info.event.id;
                var fechaSeleccionada=info.event.start.getFullYear()+'-'+(parseInt(info.event.start.getMonth())+1)+'-'+info.event.start.getDate();
                var token = '<?php echo e(csrf_token()); ?>';
                $.ajax({
                    type:'POST',
                    url:'<?php echo e(route('apm.planificador_actualizar')); ?>',
                    headers: {'X-CSRF-TOKEN': token},
                    data:{
                        idSocio:idSocio,
                        fecha:fechaSeleccionada,
                    },
                    success:function(data){
                        Swal.fire({
                            position: 'top-end',
                            title: data.message,
                            showConfirmButton: false,
                            timer: 2500
                        })
                    }
                });

            }
        }).render();
    }
};


//
// Return objects assigned to module
//

return {
    init: function() {
        _componentFullCalendarEvents();
    }
}
}();


// Initialize module
// ------------------------------

document.addEventListener('DOMContentLoaded', function() {
    FullCalendarAdvanced.init();
});
$('#buscador').on('keyup',function(){
    var text_buscar=($(this).val()).toUpperCase();
    if(text_buscar.length>0){
        $('#external-events .fc-event').each(function(){
            var contenido=($(this).text()).toUpperCase();
            if(contenido.search(text_buscar)>=0){
                $(this).show();
            }else{
                $(this).hide();
            }
        })
    }else{
        $('#external-events .fc-event').each(function(){
            $(this).show();
        })
    }
    
})
</script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.index', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\laragon\www\jarvis\resources\views/calendario/planificador.blade.php ENDPATH**/ ?>